Redmine - Feature #1716

Coloration according to status
2008-07-30 16:42 - Victor Leboucher

Status: Closed Start date: 2008-07-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

I think for a quickly comprehension, the status will integre a proper color witch can be settings...
like the mantis bug tracker but more subtle.

Related issues:
Related to Redmine - Feature #4967: Issues colors Reopened 2010-03-02

History

#1 - 2008-07-30 22:24 - Eric Davis

- Assignee deleted (Jean-Philippe Lang)

- Target version deleted (0.8)

Issues are different colors depending on the Priority already. | think adding another set of colors for status would be confusing.
(using alternative theme)

#2 - 2008-07-31 07:57 - Ewan Makepeace
- File Picture_3.jpg added

| would like to see issues with some color by status - not the whole row, but perhaps the cell that shows the status would be colored.
If the color was a property of the status entries and default was none, then it would be a feature that you could set up or not as you prefer.
Obviously different status sets need different colors so it is not something that could be preset.
| attach a screenshot of our inhouse issue tracker showing 3 things that | would love to see in RedMine:
1. Issues have colors for status, priority and type.
2. Issues are grouped by the currently sorted field and the count and total time is presented on the grouping bar.
3. Groups can be easily expanded and contracted in the usual way.

| hope this does not come across as hubris - we are already abandoning our own system in favour of Redmine, but there are always some aspects
that you are sorry to lose.

#3 - 2008-07-31 08:49 - Victor Leboucher
Eric Davis wrote:

Issues are different colors depending on the Priority already. | think adding another set of colors for status would be confusing.

(using alternative theme)

what's the version witch use the coloration for the priorities ?

I think little like Ewan Makepeace, a cell with the color of the status will can be a intermediare solution

#4 - 2008-07-31 17:40 - Eric Davis

Ewan Makepeace wrote:

I would like to see issues with some color by status - not the whole row, but perhaps the cell that shows the status would be colored.

Just coloring the single cell is better.
| hope this does not come across as hubris - we are already abandoning our own system in favour of Redmine, but there are always some
aspects that you are sorry to lose.

Not at all, it's great to hear how other people use their issue trackers.

Victor Leboucher wrote:

what's the version witch use the coloration for the priorities ?

I think it's been since 0.7.2. You need to change the them to the alternative theme. Example of my Redmine (look for the red high priority)

https://projects.littlestreamsoftware.com/projects/redmine-timesheet/issues

#5 - 2008-08-01 09:46 - Victor Leboucher

Eric Davis wrote:
Victor Leboucher wrote:

what's the version witch use the coloration for the priorities ?

| think it's been since 0.7.2. You need to change the them to the alternative theme. Example of my Redmine (look for the red high priority)

https://projects.littlestreamsoftware.com/projects/redmine-timesheet/issues

thx i have test the alternate template :) it's no bad, but it's on priority, and if the status of the issue are closed your have (if you display all the issue in
the filtre) a red row because the priority is High.

i have think only at the workflow status with a colored element witch admit one global view of the state of the project ...

Eric, now i have you ;) a have another question, i have see your project, me too i make a plugin but i have a problem with the init.rb if i set the option
settings between the version and le project_module, rails directly return a big error : D:/Service/Profiles/vieboucher.BDOM/Mes
documents/NetBeansProjects/Redmine/Victor/Redmine/app/models/setting.rb:96: , unexpected null

have you a idea on this problem ?
thx for all

#6 - 2008-08-11 22:29 - Eric Davis

Victor Leboucher wrote:
Eric, now i have you ;) a have another question, i have see your project, me too i make a plugin but i have a problem with the init.rb if i set the
option settings between the version and le project_module, rails directly return a big error : D:/Service/Profiles/vleboucher.BDOM/Mes
documents/NetBeansProjects/Redmine/Victor/Redmine/app/models/setting.rb:96: , unexpected null
have you a idea on this problem ?

thx for all

Can you post this in the forum along with your plugin's init.rb. | want to keep this issue on topic. Thanks

#7 - 2008-08-21 01:45 - ken hayber

- File mantis-application.css added

Victor Leboucher wrote:

| think for a quickly comprehension, the status will integre a proper color witch can be settings...
like the mantis bug tracker but more subtle.

| am also migrating from MantisBT and like that style of coloring by status. Here is my effort to achieve it.

#8 - 2013-04-09 12:10 - Daniel Felix
- Status changed from New to Closed

- Resolution set to Duplicate

I'm closing this issue, as it is duplicated throw #4967. #4967 has more details and could handle this request too. :-)
Files

Picture_3.jpg 62.3 KB 2008-07-31 Ewan Makepeace
mantis-application.css 946 Bytes 2008-08-20 ken hayber
